com.microfocus.awm.meta.interfaces

## Interface ComplexAttributeBase

- All Superinterfaces:
    AWMObject, DynamicObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ComplexAttributeBaseImpl

      public interface ComplexAttributeBase
      extends DynamicObject

  Complex Attributes are made up of several individual attributes. Relationships and complex attributes can appear several times within a type.

  The following features are supported:

  - `Complex Attribute`
  - `ID`
  - `Label`
  See Also:
    `TaurusPackage.getComplexAttributeBase()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ComplexAttributeBase>` | `getComplexAttribute()` Returns the value of the 'Complex Attribute' containment reference list.
    `ComplexAttributeExtension` | `getComplexAttributeExtension()` Gets the `ComplexAttributeExtension`.
    `java.lang.String` | `getID()` Returns the value of the 'ID' attribute.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `void` | `setID(java.lang.String value)` Sets the value of the '`ID`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.DynamicObject

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getComplexAttribute

          org.eclipse.emf.common.util.EList<ComplexAttributeBase> getComplexAttribute()

      Returns the value of the 'Complex Attribute' containment reference list. The list contents are of type `ComplexAttributeBase`. Complex attribute is a recursive construct. It can recursively call other complex attributes.
      Returns:
        the value of the 'Complex Attribute' containment reference list.
      See Also:
        `TaurusPackage.getComplexAttributeBase_ComplexAttribute()`

    - #### getID

          java.lang.String getID()

      Returns the value of the 'ID' attribute.
      Mandatory attribute. The value of this attribute must be unique in the complete AWM. The use of a naming convention is therefore recommended.
      Returns:
        the value of the 'ID' attribute.
      See Also:
        `setID(String)`, `TaurusPackage.getComplexAttributeBase_ID()`

    - #### setID

          void setID(java.lang.String value)

      Sets the value of the '`ID`' attribute.
      Parameters:
        `value` - the new value of the 'ID' attribute.
      See Also:
        `getID()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Optional attribute. Labels are used for the display of objects and fields in the user interface. If the model interpreter does not find a label for an object of a type, the next matching attribute will be taken, which could be a label for a higher hierarchy level or the ID of an object type.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getComplexAttributeBase_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getComplexAttributeExtension

          ComplexAttributeExtension getComplexAttributeExtension()

      Gets the `ComplexAttributeExtension`.
      Returns:
        the complex attribute as defined in the extension

Copyright © 2015 Micro Focus GmbH. All rights reserved.